# The service in the 'service pipeline'
# (see http://www.itilnews.com/ITIL_V3_Service_Portfolio_and_Lifecycle.html)
module ServiceCatalogue
  class Service < ActiveRecord::Base
    belongs_to :service_criticality
    belongs_to :service_status

    #---------------------------------------------------------------------------

    #attr_accessible :name, :description
    #attr_accessible :availability, :target_availability, :backup, :service_owner, :service_representative
    #attr_accessible :service_criticality, :service_criticality_id
    #attr_accessible :service_status, :service_status_id

    #---------------------------------------------------------------------------

    validates :name, :presence => true
    validates :service_criticality, :presence => true
    validates :service_status, :presence => true

    #---------------------------------------------------------------------------

    def to_s
      name
    end
  end
end
