class CreateServiceCatalogueServices < ActiveRecord::Migration[4.2]
  def change
    create_table :service_catalogue_services do |t|
      t.string :name, :null => false, :index => true
      t.text :description
      t.string :availability
      t.string :target_availability
      t.string :backup
      t.string :service_owner
      t.string :service_representative
      t.references :service_criticality, :index => true #, :foreign_key => true
      t.references :service_status, :index => true #, :foreign_key => true

      t.timestamps :null => false
    end
  end
end
